%define upstream_name    XSLoader
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Dynamically load C libraries into Perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl-devel
%description
This module defines a standard simplified interface to the dynamic
linking mechanisms available on many platforms. Its primary purpose is
to implement cheap automatic dynamic loading of Perl modules.

For a more complicated interface, see DynaLoader. Many (most) features
of DynaLoader are not implemented in XSLoader, like for example the
dl_load_flags, not honored by XSLoader.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Nov 06 2011 jquelin <jquelin> 0.150.0-4.mga2
+ Revision: 164274
- override perl 5.14.2 builtin

* Sat Nov 05 2011 jquelin <jquelin> 0.150.0-3.mga2
+ Revision: 163205
- override perl 5.14.2 bundle

* Fri Nov 04 2011 jquelin <jquelin> 0.150.0-2.mga2
+ Revision: 162845
- take priority over module bundled with perl 5.14.2

* Fri Oct 14 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 155048
- update to 0.15
- imported package perl-XSLoader

